Skip to content
Start here

List Credential Sets

client.vulnerabilityScanner.credentialSets.list(CredentialSetListParams { account_id, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<CredentialSetListResponse { id, name } >
GET/accounts/{account_id}/vuln_scanner/credential_sets

Returns all credential sets for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: CredentialSetListParams { account_id, page, per_page }
account_id: string

Path param: Identifier.

maxLength32
page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of results per page.

maximum50
minimum5
ReturnsExpand Collapse
CredentialSetListResponse { id, name }
id: string

Credential set identifier.

formatuuid
name: string

Human-readable name.

List Credential Sets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const credentialSetListResponse of client.vulnerabilityScanner.credentialSets.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(credentialSetListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "Production API credentials"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "Production API credentials"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}